bug and nobody can help me.

I have the bug that follows specific, I wrote to yoyo and I still have not got any answer, (I guess because I do not update to GMS2) .... I do not understand this bug, nor how to solve it I leave here for someone, Has the kindness to help me and I did everything I have all sdk updated to complete, I have the latest version of GMS and nothing at all ..... Thanks in advance.
 

JackTurbo

Member
Wow. I think this is it. I think this is actually the vaguest post possible...

Dude, we need more to go on. You haven't even told us what you bug is. How are we meant to help without any information what so ever?

You need to explain in depth what your bug actually is and also explain when it occurs and if its intermittent or happens every time.
 
:com.EstudiosVoice.SkyArrows:processArmeabi-v7aReleaseManifestZ:\com.EstudiosVoice.SkyArrows\src\main\AndroidManifest.xml:59:1-113 Error:
Element meta-data#com.google.android.gms.version at AndroidManifest.xml:59:1-113 duplicated with element declared at AndroidManifest.xml:49:2-117

Z:\com.EstudiosVoice.SkyArrows\src\main\AndroidManifest.xml:62:1-176 Warning:
Element activity#com.google.android.gms.ads.AdActivity at AndroidManifest.xml:62:1-176 duplicated with element declared at AndroidManifest.xml:52:1-176
Z:\com.EstudiosVoice.SkyArrows\src\main\AndroidManifest.xml Error:
Validation failed, exiting

See for more information about the manifest merger.

:com.EstudiosVoice.SkyArrows:processArmeabi-v7aReleaseManifest FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':com.EstudiosVoice.SkyArrows:processArmeabi-v7aReleaseManifest'.
> Manifest merger failed with multiple errors, see logs

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 16.113 secs
cmd /c "subst /d Z:"

Lint Build report available at C:\Users\ojapo\OneDrive\Documentos\GameMaker\Cache\TheSkyArrow\Android\Default\com.EstudiosVoice.SkyArrows\build\outputs\lint-results.html
Create finished: 16:04:05
 

JRLS

Member
you probably updated to gamemaker studio latest 1.4 version, it now has gradle included to build .apk?

Are you using an extension?
If so, yoyo says to downgrade to 1.4 pre-gradle. That might solve the problem.

I have the same problem, i cannot build an .apk with the latest 1.4 version and OUYA everywhere extension. Maybe someone can solve this for me without downgrading
 
Last edited:
I am using the extension of heyzap, and another of iap but I do not know how to downgrade ......
Thank you very much for responding I am desperate I have not slept all night trying to find the solution.
 
Nothing, keep making mistakes, now give me this

BUILD FAILED
C:\sdk\tools\ant\build.xml:407: org.xml.sax.SAXParseException; lineNumber: 92; columnNumber: 127; El prefijo "tools" para el atributo "tools:replace" asociado a un tipo de elemento "meta-data" no est� enlazado.
at com.sun.org.apache.xerces.internal.parsers.DOMParser.parse(DOMParser.java:257)
at com.sun.org.apache.xerces.internal.jaxp.DocumentBuilderImpl.parse(DocumentBuilderImpl.java:339)
at com.sun.org.apache.xpath.internal.jaxp.XPathImpl.evaluate(XPathImpl.java:466)
at com.sun.org.apache.xpath.internal.jaxp.XPathImpl.evaluate(XPathImpl.java:513)
at com.android.ant.GetTypeTask.execute(GetTypeTask.java:85)
at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:291)
at sun.reflect.GeneratedMethodAccessor4.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:498)
at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
at org.apache.tools.ant.Task.perform(Task.java:348)
at org.apache.tools.ant.Target.execute(Target.java:390)
at org.apache.tools.ant.Target.performTasks(Target.java:411)
at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1399)
at org.apache.tools.ant.Project.executeTarget(Project.java:1368)
at org.apache.tools.ant.helper.DefaultExecutor.executeTargets(DefaultExecutor.java:41)
at org.apache.tools.ant.Project.executeTargets(Project.java:1251)
at org.apache.tools.ant.Main.runBuild(Main.java:809)
at org.apache.tools.ant.Main.startAnt(Main.java:217)
at org.apache.tools.ant.launch.Launcher.run(Launcher.java:280)
at org.apache.tools.ant.launch.Launcher.main(Launcher.java:109)
--------------- linked to ------------------
javax.xml.xpath.XPathExpressionException: org.xml.sax.SAXParseException; lineNumber: 92; columnNumber: 127; El prefijo "tools" para el atributo "tools:replace" asociado a un tipo de elemento "meta-data" no est� enlazado.
at com.sun.org.apache.xpath.internal.jaxp.XPathImpl.evaluate(XPathImpl.java:471)
at com.sun.org.apache.xpath.internal.jaxp.XPathImpl.evaluate(XPathImpl.java:513)
at com.android.ant.GetTypeTask.execute(GetTypeTask.java:85)
at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:291)
at sun.reflect.GeneratedMethodAccessor4.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:498)
at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
at org.apache.tools.ant.Task.perform(Task.java:348)
at org.apache.tools.ant.Target.execute(Target.java:390)
at org.apache.tools.ant.Target.performTasks(Target.java:411)
at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1399)
at org.apache.tools.ant.Project.executeTarget(Project.java:1368)
at org.apache.tools.ant.helper.DefaultExecutor.executeTargets(DefaultExecutor.java:41)
at org.apache.tools.ant.Project.executeTargets(Project.java:1251)
at org.apache.tools.ant.Main.runBuild(Main.java:809)
at org.apache.tools.ant.Main.startAnt(Main.java:217)
at org.apache.tools.ant.launch.Launcher.run(Launcher.java:280)
at org.apache.tools.ant.launch.Launcher.main(Launcher.java:109)
Caused by: org.xml.sax.SAXParseException; lineNumber: 92; columnNumber: 127; El prefijo "tools" para el atributo "tools:replace" asociado a un tipo de elemento "meta-data" no est� enlazado.
at com.sun.org.apache.xerces.internal.parsers.DOMParser.parse(DOMParser.java:257)
at com.sun.org.apache.xerces.internal.jaxp.DocumentBuilderImpl.parse(DocumentBuilderImpl.java:339)
at com.sun.org.apache.xpath.internal.jaxp.XPathImpl.evaluate(XPathImpl.java:466)
... 18 more

Total time: 0 seconds
Create finished: 18:26:16
 

RangerX

Member
How did you purchase GMS?
Can't you uninstall completely and redownload from the Yoyo website?

Because there are pirated versions that sounds good but can't compile around on the internet...
 
How did you purchase GMS?
Can't you uninstall completely and redownload from the Yoyo website?

Because there are pirated versions that sounds good but can't compile around on the internet...
Before commenting read at least the whole post, my friend, so you can see that the downgrade of the version that happened to me JRLS is precise and direct from the page of yoyogames, so before suggesting that I have a pirated version read a bit because Well post also, I said that I also asked for support of yoyo games without even getting a response and I would not have asked for support if I had a pirate program like you suggest so I repeat, read a little before giving an absurd opinion.
 

JRLS

Member
hmm... too bad it didnt work.
Most duplicate items while building come from gradle while using extensions.
Can you build an .apk with the extension removed from your project?
(could be much work if you want to test)
Also, my spanish(?) is not that good, but it looks like you have a different error now.

Do you have a fresh install? You can start with 1.4.1657 (you can always upgrade) and then reinstall android SDKs that you need.
At least you know then if gradle or android installation is your problem or a corruption somewhere in your (first) GMS installation.
Otherwise, i'm out of ideas....
 
Could you try to compile your project on another machine with a same or different version of Gamemaker 1.4? (If it works on the other machine, you can determine if the problem is unique to your current installation)
 
W

Wraithious

Guest
did you view the lint report shown at the bottom of the compile log you posted? it will have fatal errors marked with red explanation points and usually tells you exactly what went wrong
 
Top